<?php
// Scriptprojekt: IoTControl V1.2
// File: 'config.inc.php'
/*
    - Die Einträge bitte entsprechend den konkreten Gegebenheiten anpassen!
    - mit // !!!!! gekennzeichnet ---> anpassen!!!!!!
*/
//DB MySQL
//-----------------------------------------------------------
///* DB-Zugriffsdaten
$CNF_DBserver   ='localhost';             // !!!!!
$CNF_DBuser     ='root';                  // !!!!!
$CNF_DBpasswort ='';                      // !!!!!
$CNF_DB         ='iotcontrol_TEST';            // !!!!!
//*/

$CNF_DBCHAR     ='UTF8';

//Geodaten für Sonnenauf- und -untergang
$GeoBreite = 53.6;                        // !!!!!
$GeoLaenge = 11.4;                        // !!!!!

//Zugriffdaten auf Tasmota-GUI
define('CNF_USER', 'admin');  // !!!!! Zugriffsdaten auf Tasmota-GUI
define('CNF_PWD','xxxxxxxx');

ini_set('date.timezone', 'Europe/Berlin');
error_reporting(E_ALL & ~E_NOTICE & ~E_STRICT);               //Standardfehlermeldungen!!!
//error_reporting(0); //Fehlermeldungen aus
//ini_set('display_errors', false);  //FALSE -- für Livesystem

error_reporting(1); //Fehlermeldungen ein
ini_set('display_errors', true);  //FALSE -- für Livesystem
mb_internal_encoding("UTF-8");    //PHP Zeichencode setzen
ini_set('max_execution_time', '270');     //max. Ausführungszeit für Script (Standard)

$TM =Time(); //akt Timestamp
//$TM = strtoTime('2018-05-02 23:59:59'); //für Testzwecke 

$CNF_DateTime = date("Y-m-d H:i:s", $TM);
$CNF_TStmpDateNow = strtoTime(date("Y-m-d", $TM));
$CNF_TStmpTNOW =strtoTime(date("H:i:s", $TM));
$CNF_TStmpNOW = $TM;
$CNF_Date = date("d.m.Y", $TM);

//Sonnenauf- u. -untergang.
$CNF_Saufg = date_sunrise($TM, SUNFUNCS_RET_TIMESTAMP, $GeoBreite, $GeoLaenge, 50/60+90);
$CNF_Suntg = date_sunset($TM, SUNFUNCS_RET_TIMESTAMP, $GeoBreite, $GeoLaenge, 50/60+90);
echo '<br>'.$CNF_Date.' Sonnenaufgang: ', date("H:i",$CNF_Saufg);
echo '<br>'.$CNF_Date.' Sonnenuntergang: ',date("H:i", $CNF_Suntg).'<br>';